Subject: bug#43274: fdisk fails to build on armhf

From: Andreas Enge <[email-masked]>
Date: Tue, 8 Sep 2020 17:47:53 +0200

On Tue, Sep 08, 2020 at 03:12:03PM +0200, Andreas Enge wrote:
> So there does not even seem to be a test that relies on fdisk.

Looking at the tests, they do call "fdisk" and "sfdisk", but these come
from the util-linux package. The fdisk package only provides "gnufdisk",
which does not seem to be used at all.

> I would suggest to drop fdisk from this package (and getting closer to
> dropping [email-masked] as well).

The package without fdisk fails on aarch64 (where it also failed previously)
and on armhf (where previously its dependency fdisk failed). So I will push
a commit that drops fdisk.

The next step would be to check newer releases (12 and 13) of genimage.
Has it actually ever been built on the arm architecture?

Also, is there any opposition to then drop the fdisk package from the
distribution?

Andreas